Package org.apache.sling.cms

## Interface PageManager

    @ProviderType
    public interface PageManager

A interface used to retrieve sling:Page Resources. Adaptable from a child Resource of a sling:Page.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable Page` `getPage()` Get the page containing the adapted resource

### Method Detail

#### getPage

    @Nullable
    @Nullable Page getPage()

Get the page containing the adapted resource

Returns:
  the page containing the adapted resource or null if the resource is not a child of a page